org.jboss.jca.core.workmanager

## Class ResourceAdapterClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.jboss.jca.core.workmanager.ResourceAdapterClassLoader

-     public class ResourceAdapterClassLoader
      extends java.lang.ClassLoader

  Resource adapter class loader
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdapterClassLoader(java.lang.ClassLoader cl, WorkClassLoader wcl)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `findClass(java.lang.String name)` Find a class
    `java.lang.Class<?>` | `loadClass(java.lang.String name)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceAdapterClassLoader

          public ResourceAdapterClassLoader(java.lang.ClassLoader cl,
                                            WorkClassLoader wcl)

      Constructor
      Parameters:
        `cl` - The class loader for the resource adapter
        `wcl` - The work class loader

  - ### Method Detail

    - #### loadClass

          public java.lang.Class<?> loadClass(java.lang.String name)
                                       throws java.lang.ClassNotFoundException

      Overrides:
        `loadClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### findClass

          public java.lang.Class<?> findClass(java.lang.String name)
                                       throws java.lang.ClassNotFoundException

      Find a class
      Overrides:
        `findClass` in class `java.lang.ClassLoader`
      Parameters:
        `name` - The fully qualified class name
      Returns:
        The class
      Throws:
        `java.lang.ClassNotFoundException` - If the class could not be found

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)